PooledParallelSender (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.transport.nio, class: PooledParallelSender

# Class PooledParallelSender

java.lang.Object
org.apache.catalina.tribes.transport.AbstractSender
org.apache.catalina.tribes.transport.PooledSender
org.apache.catalina.tribes.transport.nio.PooledParallelSender

All Implemented Interfaces:
  `DataSender, MultiPointSender, PooledParallelSenderMBean`

public class PooledParallelSender extends PooledSender implements PooledParallelSenderMBean

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final StringManager`
  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PooledParallelSender()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataSender`
  `getNewDataSender()`
  `void`
  `sendMessage(Member[] destination, ChannelMessage message)`
  Send the specified message.

  ### Methods inherited from class PooledSender

  `add, connect, disconnect, getInPoolSize, getInUsePoolSize, getMaxWait, getPoolSize, getSender, keepalive, remove, returnSender, setMaxWait, setPoolSize`

  ### Methods inherited from class AbstractSender

  `getAddress, getAttempt, getConnectTime, getDestination, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface DataSender

  `getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

  ### Methods inherited from interface MultiPointSender

  `setDirectBuffer, setMaxRetryAttempts`

  ### Methods inherited from interface PooledParallelSenderMBean

  `getDirectBuffer, getInPoolSize, getInUsePoolSize, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getMaxWait, getOoBInline, getPoolSize, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpRxBufSize, getUdpTxBufSize, isConnected`

- ## Field Details

  - ### sm

    protected static final StringManager sm

- ## Constructor Details

  - ### PooledParallelSender

    public PooledParallelSender()

- ## Method Details

  - ### sendMessage

    public void sendMessage(Member[] destination, ChannelMessage message) throws ChannelException
    Description copied from interface: `MultiPointSender`
    Send the specified message.
    Specified by:
      `sendMessage` in interface `MultiPointSender`
    Parameters:
      `destination` - the message destinations
      `message` - the data to send
    Throws:
      `ChannelException` - if an error occurs

  - ### getNewDataSender

    public DataSender getNewDataSender()
    Specified by:
      `getNewDataSender` in class `PooledSender`